Bug 738151 - xHCI driver died after times of attach/detach usb3 hub(with usb3 device) from usb3 root hub
Summary: xHCI driver died after times of attach/detach usb3 hub(with usb3 device) from...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Don Zickus
QA Contact: WANG Chao
URL:
Whiteboard:
Depends On: 735048
Blocks: 767187 814315
TreeView+ depends on / blocked
 
Reported: 2011-09-14 07:21 UTC by WANG Chao
Modified: 2015-02-08 21:42 UTC (History)
4 users (show)

Fixed In Version: kernel-2.6.32-235.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 814315 (view as bug list)
Environment:
Last Closed: 2012-06-20 07:51:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0862 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2012-06-20 12:55:00 UTC

Description WANG Chao 2011-09-14 07:21:46 UTC
Description of problem:
Mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=735048#c4
This one is the second issue.
---
After times of detach/attach usb3 hub (always with usb3 device attached),
xhci driver died.(means all operations to USB3 root hub is not responded).
---

Version-Release number of selected component (if applicable):
kernel-2.6.32-193.el6usb3.x86_64

How reproducible:
not always

Steps to Reproduce:
1.as description
2.
3.
  
Actual results:


Expected results:


Additional info:
Confirm ehci/ohci drivers are still alive, and works fine both with usb2 and usb3 device or hub.

Comment 10 Don Zickus 2011-10-25 19:50:31 UTC
I don't think this use case can be justified for a 6.2 blocker.  Pushing this out to 6.3 for now.

Cheers,
Don

Comment 13 RHEL Product and Program Management 2012-01-31 17:29:41 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 18 Aristeu Rozanski 2012-02-21 19:48:55 UTC
Patch(es) available on kernel-2.6.32-235.el6

Comment 27 errata-xmlrpc 2012-06-20 07:51:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html


Note You need to log in before you can comment on or make changes to this bug.